Package org.jboss.resteasy.plugins.providers.sse

## Class SseConstants

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.sse.SseConstants

-     public class SseConstants
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SseConstants.EVENT` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte[]` | `COMMENT_LEAD` |
    `static byte[]` | `DATA_LEAD` |
    `static byte[]` | `DOUBLE_EOL` |
    `static byte[]` | `EOL` |
    `static byte[]` | `EVENT_DELIMITER` |
    `static byte[]` | `ID_LEAD` |
    `static String` | `LAST_EVENT_ID_HEADER` |
    `static byte[]` | `NAME_LEAD` |
    `static byte[]` | `RETRY_LEAD` |
    `static String` | `SSE_ELEMENT_MEDIA_TYPE` |
    `static javax.ws.rs.core.GenericType<String>` | `STRING_AS_GENERIC_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SseConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LAST_EVENT_ID_HEADER

          public static final String LAST_EVENT_ID_HEADER

      See Also:
        Constant Field Values

    - #### STRING_AS_GENERIC_TYPE

          public static final javax.ws.rs.core.GenericType<String> STRING_AS_GENERIC_TYPE

    - #### COMMENT_LEAD

          public static final byte[] COMMENT_LEAD

    - #### NAME_LEAD

          public static final byte[] NAME_LEAD

    - #### ID_LEAD

          public static final byte[] ID_LEAD

    - #### RETRY_LEAD

          public static final byte[] RETRY_LEAD

    - #### DATA_LEAD

          public static final byte[] DATA_LEAD

    - #### EOL

          public static final byte[] EOL

    - #### DOUBLE_EOL

          public static final byte[] DOUBLE_EOL

    - #### EVENT_DELIMITER

          public static final byte[] EVENT_DELIMITER

    - #### SSE_ELEMENT_MEDIA_TYPE

          public static final String SSE_ELEMENT_MEDIA_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SseConstants

          public SseConstants()